Bug 1613264 - wrong colours of VNC desktop via vncviewer on ppc64
Summary: wrong colours of VNC desktop via vncviewer on ppc64
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: tigervnc
Version: 7.6
Hardware: ppc64
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Jan Grulich
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-07 10:44 UTC by Tomas Hudziec
Modified: 2018-10-30 08:03 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-30 08:03:01 UTC
Target Upstream Version:


Attachments (Terms of Use)
VNC desktop with wrong colours (361.44 KB, image/png)
2018-08-07 10:44 UTC, Tomas Hudziec
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3059 0 None None None 2018-10-30 08:03:51 UTC

Description Tomas Hudziec 2018-08-07 10:44:44 UTC
Created attachment 1473951 [details]
VNC desktop with wrong colours

Description of problem:
Colours of VNC desktop in vncviewer on ppc64 are wrong and there is also some repainting when moving window or select/highlight with mouse.

Version-Release number of selected component (if applicable):
tigervnc-1.8.0-9.el7.ppc64

How reproducible:
always

Steps to Reproduce:
1. $ vncserver :1
2. $ vncviewer :1

Actual results:
colours of desktop are wrong

Expected results:
colours of desktop should be correct

Additional info:
It is very probably endianness problem. Tested with vncserver running on ppc64 and x86_64, vncviewer on ppc64 had always wrong colours.
Via Vinagre colours of VNC desktop are correct.

Comment 2 Jan Grulich 2018-08-07 11:33:02 UTC
Do you have chance to test on RHEL 7.5 with older Xserver and tigervnc? I would like to know whether it's a regression in RHEL 7.6 or whether this has been a problem for a long time.

Comment 3 Tomas Hudziec 2018-08-07 13:48:10 UTC
Yes, I have. I will test it as soon as I will have ppc64 machine reserved. It should be at latest by tomorrow.

Comment 4 Tomas Hudziec 2018-08-07 15:48:31 UTC
Wrong colours are also present on RHEL 7.5 with:
xorg-x11-server-Xorg-1.19.5-5.el7.ppc64
tigervnc-1.8.0-5.el7.ppc64
gnome <= 3.26

Comment 6 Jan Grulich 2018-08-17 11:34:56 UTC
Fixed with tigervnc-1.8.0-10.el7.

Comment 8 Tomas Hudziec 2018-08-17 15:04:15 UTC
Desktop colours now looks correct with tigervnc-1.8.0-10.el7.ppc64. Switching to verified.

(However there remains small issue, that popup with "Press F8 to open the context menu" is blue tinted. Filed that to bug 1618777.)

Comment 10 errata-xmlrpc 2018-10-30 08:03:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3059


Note You need to log in before you can comment on or make changes to this bug.